Linha Nexus tem brecha de segurança e pode sofrer ataques de hackers

O erro permite que os celulares sejam travados, reiniciados ou percam conectividade, deixando-os vulneráveis a um suposto ataque de hackers.

Os smartphones Galaxy Nexus, Nexus 4 e Nexus 5, últimos lançamentos do Google para a linha, tiveram uma falha de segurança detectada por um especialista. O erro permite que os celulares sejam travados, reiniciados ou percam conectividade, deixando-os vulneráveis a um suposto ataque de hackers.


Linha Nexus tem brecha de segurança e pode sofrer ataques de hackers

Segundo o especialista em segurança Bogdan Alecu, que falou ao site PC World, o problema é decorrente da maneira com que os aparelhos Nexus lidam com mensagens "flash", que aparecem na tela como um pop-up e requerem uma ação imediata do usuário.

Conforme testes realizados por Alecu, os dispositivos Nexus apresentam falhas ao receberem um número grande de SMS desse tipo, cujo acúmulo é favorecido pela falta de alerta sonoro nesses aparelhos. Hackers podem, portanto, influenciar no funcionamento dos smartphones à distância enviando vários SMS "flash" seguidamente. Até que o usuário perceba, o ataque está feito.

O problema foi reportado para a Google, que prometeu uma correção em uma atualização futura. Enquanto isso, os usuários de smarts Nexus podem se proteger da ameaça por meio do Class0Firewall, um aplicativo criado por Alecu.

A falha foi encontrada em Galaxy Nexus, Nexus 4 e Nexus 5 rodando versões do Android que variam do 4.0 (Ice Cream Sandwich) ao mais recente, o 4.4 "KitKat". Não há indícios de que outros dispositivos com o sistema da Google estejam suscetíveis a esse tipo de ataque por SMS.

Fonte: tech tudo